NNG_HTTP_SERVER_START(3http)

NAME
nng_http_server_start - start HTTP server

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_server_start(nng_http_server *server);

DESCRIPTION

The nng_http_server_start() starts the HTTP server instance server. This causes it to bind to the appropriate TCP port, and start accepting connections and handling HTTP requests.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_EADDRINUSE
    The TCP port is unavailable.

NNG_EADDRINVAL
    The server is configured with an invalid address.

NNG_ENOMEM
    Insufficient free memory exists.

NNG_ENOTSUP
    HTTP not supported.

SEE ALSO

nng_http_server_hold(3http), nng_http_server_release(3http), nng_http_server_stop(3http), nng_url_parse(3) nng_strerror(3), nng(7)